Answer a consumer's questions
curl --request PATCH \
--url https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": {
"spend_to_accounting.ExpensesSince": "2026-01-01"
}
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions"
payload = { "answers": { "spend_to_accounting.ExpensesSince": "2026-01-01" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({answers: {'spend_to_accounting.ExpensesSince': '2026-01-01'}})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'answers' => [
'spend_to_accounting.ExpensesSince' => '2026-01-01'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions"
payload := strings.NewReader("{\n \"answers\": {\n \"spend_to_accounting.ExpensesSince\": \"2026-01-01\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"answers\": {\n \"spend_to_accounting.ExpensesSince\": \"2026-01-01\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"answers\": {\n \"spend_to_accounting.ExpensesSince\": \"2026-01-01\"\n }\n}"
response = http.request(request)
puts response.read_body{
"fields": [
{
"key": "<string>",
"type": "date",
"group": "period",
"title": "<string>",
"tooltip": "<string>",
"default": "<unknown>",
"options": [],
"supported": true,
"unsupported_reason": "<string>"
}
],
"answers": {
"spend_to_accounting.ExpensesSince": "2026-01-01"
}
}
Agentic syncs
Answer a consumer's questions
Stores the answers given and leaves the others as they are. A question no running capability asks, or an answer of the wrong type, is refused.
PATCH
/
consumers
/
{consumer_id}
/
syncs
/
{syncid}
/
questions
Answer a consumer's questions
curl --request PATCH \
--url https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": {
"spend_to_accounting.ExpensesSince": "2026-01-01"
}
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions"
payload = { "answers": { "spend_to_accounting.ExpensesSince": "2026-01-01" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({answers: {'spend_to_accounting.ExpensesSince': '2026-01-01'}})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'answers' => [
'spend_to_accounting.ExpensesSince' => '2026-01-01'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions"
payload := strings.NewReader("{\n \"answers\": {\n \"spend_to_accounting.ExpensesSince\": \"2026-01-01\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"answers\": {\n \"spend_to_accounting.ExpensesSince\": \"2026-01-01\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/questions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"answers\": {\n \"spend_to_accounting.ExpensesSince\": \"2026-01-01\"\n }\n}"
response = http.request(request)
puts response.read_body{
"fields": [
{
"key": "<string>",
"type": "date",
"group": "period",
"title": "<string>",
"tooltip": "<string>",
"default": "<unknown>",
"options": [],
"supported": true,
"unsupported_reason": "<string>"
}
],
"answers": {
"spend_to_accounting.ExpensesSince": "2026-01-01"
}
}
Authorizations
This access token needs to be included in each of your request to the Chift API.
Query Parameters
ISO 639-1 code of the language of the texts (en, fr, nl, de, es; any case), falling back to English. Without it, translation keys.
Body
application/json
Question key -> answer. Only the questions given change.
Example:
{ "spend_to_accounting.ExpensesSince": "2026-01-01" }
Response
Successful Response